Subject: Re: Session reconnect doesn't work (x2gobroker)

From: Miguel Quero <[email-masked]>
Date: Sun, 27 Nov 2016 20:04:23 +0100

Ok, i fixit:

I need use:

--broker-url=ssh://XXXX.XXXX.XXXX/usr/bin/x2gobroker-ssh --broker-autologin

and add users to x2gobroker-users group ;)

Resume work too in ssh mode ;)

On 11/26/2016 11:54 AM, Miguel Quero wrote:
> I can confirm this bug, but the problem is not with all x2gobroker, the
> resume problem become when you use ssh broker.
>
> In my setup, when client connect with
> --broker-url=https://XXXX.XXXX.XXXX:8080/plain/inifile, all work fine
> and resume is working. But when same clients connect with same
> credentials to the same broker with x2goclient
> --broker-url=ssh://XXXX.XXXX.XXXX/usr/bin/x2gobroker --broker-autologin,
> all work fine but resume is not working, all connection open a new
> session :S.
>
> I cant debug with ssh broker :(. Any ideas?
>

-- 
Miguel Quero | One eSecurity | www.one-esecurity.com
M: +34 608 36 17 05
Europe (Spain): +34 911 011 000
PGP: 0x34AA 050B D15C 7593 5671 3748 40C6 8E95 6C5A 40D3